package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 学团注册支付
 */
public class RegisterPayDto extends PayParamBasicDto{
    //总金额
    private BigDecimal amount;
    //报名id
    private Integer registerId;
    //乐器id->type
    private Map<Long, String> goodsGroups;

    private String batchNo;

    private Integer userId;

    private String musicGroupId;

    private Long calenderId;

    @ApiModelProperty(value = "可选课程的key",required = false)
    private List<String> courseKeys;

    @ApiModelProperty(value = "新的乐团课程形态",required = false)
    private List<Integer> newCourse;

    @ApiModelProperty(value = "缴费项目关联活动Id",required = false)
    private List<Long> buyCalenderActivityId;

    @ApiModelProperty(value = "购买乐器保养",required = false)
    private Boolean buyMaintenance = false;

    @ApiModelProperty(value = "购买云教练",required = false)
    private Boolean buyCloudTeacher= false;

    @ApiModelProperty(value = "购买云教练+",required = false)
    private Boolean buyCloudTeacherPlus= false;

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public Long getCalenderId() {
        return calenderId;
    }

    public void setCalenderId(Long calenderId) {
        this.calenderId = calenderId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public List<Long> getBuyCalenderActivityId() {
        return buyCalenderActivityId;
    }

    public void setBuyCalenderActivityId(List<Long> buyCalenderActivityId) {
        this.buyCalenderActivityId = buyCalenderActivityId;
    }

    public Integer getRegisterId() {
        return registerId;
    }

    public void setRegisterId(Integer registerId) {
        this.registerId = registerId;
    }


    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Map<Long, String> getGoodsGroups() {
        return goodsGroups;
    }

    public void setGoodsGroups(Map<Long, String> goodsGroups) {
        this.goodsGroups = goodsGroups;
    }

    public List<String> getCourseKeys() {
        return courseKeys;
    }

    public void setCourseKeys(List<String> courseKeys) {
        this.courseKeys = courseKeys;
    }

    public List<Integer> getNewCourse() {
        return newCourse;
    }

    public void setNewCourse(List<Integer> newCourse) {
        this.newCourse = newCourse;
    }

    public Boolean getBuyMaintenance() {
        return buyMaintenance;
    }

    public void setBuyMaintenance(Boolean buyMaintenance) {
        this.buyMaintenance = buyMaintenance;
    }

    public Boolean getBuyCloudTeacher() {
        return buyCloudTeacher;
    }

    public void setBuyCloudTeacher(Boolean buyCloudTeacher) {
        this.buyCloudTeacher = buyCloudTeacher;
    }

    public Boolean getBuyCloudTeacherPlus() {
        return buyCloudTeacherPlus;
    }

    public void setBuyCloudTeacherPlus(Boolean buyCloudTeacherPlus) {
        this.buyCloudTeacherPlus = buyCloudTeacherPlus;
    }
}
